<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class ClientInvestmentRequest extends FormRequest
{
    public function rules(): array {
        $rules = [
            'client_id' => ['required', 'exists:leads,id'],

            'investment_amount' => ['required', 'integer'],
            'date' => ['required', 'date'],
        ];

        if ($this->routeIs("client-investments.update")) {
            $rules["client_id"][0] = "sometimes";

            $rules["investment_amount"][0] = "sometimes";
            $rules["date"][0] = "sometimes";
        }

        return $rules;
    }

    public function authorize(): bool {
        return true;
    }
}
