<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class ClientNomineeRequest extends FormRequest
{
    public function rules(): array {
        $rules = [
            'client_id' => ['required', 'exists:leads,id'],

            'name' => ['required', 'string', 'max:254'],
            'email' => ['required', 'email', 'max:254'],
            'mobile_no' => ['nullable', 'string', 'max:20'],
            'relation' => ['required', 'string', 'max:50'],
            'percentage_allocation' => ['required', 'numeric', 'between:0,999.99'],

            'aadhar' => $this->hasFile('aadhar')
                ? ['file', 'max:2048']
                : ['nullable', 'string'],
            'pan' => $this->hasFile('pan')
                ? ['file', 'max:2048']
                : ['nullable', 'string'],
        ];

        if ($this->routeIs("client-nominees.update")) {
            $rules["client_id"][0] = "sometimes";

            $rules["name"][0] = "sometimes";
            $rules["email"][0] = "sometimes";
            $rules["relation"][0] = "sometimes";
            $rules["percentage_allocation"][0] = "sometimes";
        }

        return $rules;
    }

    public function authorize(): bool {
        return true;
    }
}
