<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class CommissionSlabRequest extends FormRequest
{
    public function rules(): array {
        $rules = [
            'min_amount' => ['required', 'integer'],
            'max_amount' => ['required', 'integer'],
            'label' => ['nullable', 'string', 'max:50'],
            'trail_commission' => ['required', 'numeric'],
        ];

        if ($this->routeIs("commission-slabs.update")) {
            $rules["min_amount"][0] = "sometimes";
            $rules["max_amount"][0] = "sometimes";
            $rules["trail_commission"][0] = "sometimes";
        }

        return $rules;
    }

    public function authorize(): bool {
        return true;
    }
}
