<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class DailyUpdateRequest extends FormRequest
{
    public function rules(): array {
        $rules = [
            'client_id' => ['nullable', 'exists:users,id'],
            'name' => ['required', 'string', 'max:254'],
            'date' => ['required', 'date'],
            'amount' => ['required', 'integer'],
        ];

        if ($this->routeIs("daily-updates.update")) {
            $rules["name"][0] = "sometimes";
            $rules["date"][0] = "sometimes";
            $rules["amount"][0] = "sometimes";
        }

        return $rules;
    }

    public function authorize(): bool {
        return true;
    }
}
