<?php

namespace App\Http\Requests;

use App\Enums\FollowUpStatus;
use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Validation\Rule;

class FollowUpRequest extends FormRequest
{
    public function rules(): array {
        $rules = [
            'lead_id' => ['required', 'exists:leads,id'],
            'connected_with' => ['required', "string", "max:254"],
            'title' => ['required', "string", "max:254"],
            'summery' => ['required', 'string', 'max:254'],
            'next_follow_up_date' => ['nullable', 'date'],
            'status' => ['sometimes', Rule::enum(FollowUpStatus::class)],
        ];

        if ($this->routeIs("follow-ups.update")) {
            $rules["lead_id"][0] = "sometimes";
            $rules["connected_with"][0] = "sometimes";
            $rules["title"][0] = "sometimes";
            $rules["summery"][0] = "sometimes";
        }

        return $rules;
    }

    public function authorize(): bool {
        return true;
    }
}
