<?php

namespace App\Http\Resources;

use App\Models\ClientInvestment;
use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

/** @mixin ClientInvestment */
class ClientInvestmentResource extends JsonResource
{
    public function toArray(Request $request): array {
        return [
            'id' => $this->id,

            'client_id' => $this->client_id,

            'investment_amount' => $this->investment_amount,
            'date' => $this->date,

            // relations
            'client' => new LeadResource($this->whenLoaded('client')),

            // timestamps
            'created_at' => $this->created_at,
            'updated_at' => $this->updated_at,
        ];
    }
}
