<?php

namespace App\Http\Resources;

use App\Models\ClientNominee;
use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

/** @mixin ClientNominee */
class ClientNomineeResource extends JsonResource
{
    public function toArray(Request $request): array {
        return [
            'id' => $this->id,

            'client_id' => $this->client_id,

            'name' => $this->name,
            'email' => $this->email,
            'mobile_no' => $this->mobile_no,
            'relation' => $this->relation,
            'percentage_allocation' => $this->percentage_allocation,
            'aadhar' => $this->aadhar,
            'pan' => $this->pan,

            // relations
            'client' => new LeadResource($this->whenLoaded('client')),

            // timestamps
            'created_at' => $this->created_at,
            'updated_at' => $this->updated_at,
        ];
    }
}
