<?php

namespace App\Http\Resources;

use App\Models\DailyUpdate;
use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

/** @mixin DailyUpdate */
class DailyUpdateResource extends JsonResource
{
    public function toArray(Request $request): array {
        return [
            'id' => $this->id,

            'client_id' => $this->client_id,

            'name' => $this->name,
            'date' => $this->date,
            'amount' => $this->amount,

            // relations
            'client' => new UserResource($this->whenLoaded('client')),

            // timestamps
            'created_at' => $this->created_at,
            'updated_at' => $this->updated_at,
        ];
    }
}
