<?php

namespace App\Http\Resources;

use App\Models\Distributor;
use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

/** @mixin Distributor */
class DistributorResource extends JsonResource
{
    public function toArray(Request $request): array {
        return [
            'id' => $this->id,

            'user_id' => $this->user_id,
            'approved_by_id' => $this->approved_by_id,

            'distributor_id' => $this->distributor_id,
            'reference_id' => $this->reference_id,
            'name' => $this->name,
            'email' => $this->email,
            'mobile_no' => $this->mobile_no,
            'address' => $this->address,
            'city' => $this->city,
            'commission_percentage' => $this->commission_percentage,
            'status' => $this->status,

            // relations
            'user' => new UserResource($this->whenLoaded('user')),
            'approvedBy' => new UserResource($this->whenLoaded('approvedBy')),

            // timestamps
            'created_at' => $this->created_at,
            'updated_at' => $this->updated_at,
        ];
    }
}
