<?php

namespace App\Http\Resources;

use App\Models\FollowUp;
use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

/** @mixin FollowUp */
class FollowUpResource extends JsonResource
{
    public function toArray(Request $request): array {
        return [
            'id' => $this->id,
            
            'lead_id' => $this->lead_id,

            'connected_with' => $this->connected_with,
            'title' => $this->title,
            'summery' => $this->summery,
            'next_follow_up_date' => $this->next_follow_up_date,
            'status' => $this->status,

            // relations
            'lead' => new LeadResource($this->whenLoaded('lead')),

            // timestamps
            'created_at' => $this->created_at,
            'updated_at' => $this->updated_at,
        ];
    }
}
