<?php

namespace App\Http\Resources;

use App\Models\User;
use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

/** @mixin User */
class UserResource extends JsonResource
{
    public function toArray(Request $request): array {
        return [
            'id' => $this->id,

            'super_admin_id' => $this->super_admin_id,
            'admin_id' => $this->admin_id,
            'rm_id' => $this->rm_id,
            'distributor_id' => $this->distributor_id,

            'name' => $this->name,
            'email' => $this->email,
            'mobile_no' => $this->mobile_no,
            'password' => $this->password,
            'role' => $this->role,
            'is_active' => $this->is_active,
            'last_login_at' => $this->last_login_at,

            // relations
            'super_admin' => new UserResource($this->whenLoaded('superAdmin')),
            'admin' => new UserResource($this->whenLoaded('admin')),
            'rm' => new UserResource($this->whenLoaded('rm')),
            'distributor' => new UserResource($this->whenLoaded('distributor')),
            'user_distributor' => new UserResource($this->whenLoaded('userDistributor')),
            'user_client' => new LeadResource($this->whenLoaded('userClient')),

            // timestamps
            'created_at' => $this->created_at,
            'updated_at' => $this->updated_at,
        ];
    }
}
