<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;

class ClientInvestment extends Model
{
    use HasFactory;

    protected $fillable = [
        'client_id',

        'investment_amount',
        'date',
    ];

    public function client(): BelongsTo {
        return $this->belongsTo(Lead::class, 'client_id');
    }

    protected function casts(): array {
        return [
            'date' => 'date',
        ];
    }
}
