<?php

namespace App\Models;

use Abbasudo\Purity\Traits\Filterable;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;

class DailyUpdate extends Model
{
    use HasFactory, Filterable;

    protected $fillable = [
        'client_id',

        'name',
        'date',
        'amount',
    ];

    public function client(): BelongsTo {
        return $this->belongsTo(User::class, 'client_id');
    }
}
