<?php

namespace App\Models;

use Abbasudo\Purity\Traits\Filterable;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;

class FollowUp extends Model
{
    use HasFactory, Filterable;

    public $filterFields = [
        "lead_id",
        "next_follow_up_date",
        "status"
    ];

    protected $fillable = [
        'lead_id',

        'connected_with',
        'title',
        'summery',
        'next_follow_up_date',
        'status',
    ];

    public function lead(): BelongsTo {
        return $this->belongsTo(Lead::class);
    }

    protected function casts(): array {
        return [
            'next_follow_up_date' => 'date',
        ];
    }
}
