<?php

namespace Database\Factories;

use App\Enums\DistributorStatus;
use App\Models\Distributor;
use Illuminate\Database\Eloquent\Factories\Factory;

class DistributorFactory extends Factory
{
    protected $model = Distributor::class;

    public function definition(): array {
        return [
            'distributor_id' => $this->faker->uuid(),
            'reference_id' => $this->faker->uuid(),
            'name' => $this->faker->name(),
            'email' => $this->faker->unique()->safeEmail(),
            'mobile_no' => $this->faker->phoneNumber,
            'address' => $this->faker->address(),
            'city' => $this->faker->city(),
            // 'commission_percentage' => $this->faker->randomFloat(),
            'status' => $this->faker->randomElement(array_column(DistributorStatus::cases(), "value"))
        ];
    }
}
