<?php

namespace Database\Factories;

use App\Enums\LeadStatus;
use App\Models\Lead;
use Illuminate\Database\Eloquent\Factories\Factory;

class LeadFactory extends Factory
{
    protected $model = Lead::class;

    public function definition(): array {
        return [
            'name' => $this->faker->name(),
            'email' => $this->faker->unique()->safeEmail(),
            'mobile_no' => $this->faker->phoneNumber,
            'remarks' => $this->faker->word(),
            'desired_investment_amount' => $this->faker->numberBetween(500000, 10000000),
            // 'initial_investment_date' => Carbon::now(),
            // 'current_invested_amount' => $this->faker->numberBetween(500000, 10000000),
            'mother_name' => $this->faker->name("f"),
            'cheque_no' => $this->faker->word(),
            // 'is_client' => $this->faker->boolean(),
            'lead_status' => $this->faker->randomElement(array_column(LeadStatus::cases(), "value")),
            // 'client_status' => $this->faker->randomElement(array_column(ClientStatus::cases(), "value")),
        ];
    }
}
