<?php

namespace Database\Factories;

use App\Enums\UserRole;
use App\Models\User;
use Illuminate\Database\Eloquent\Factories\Factory;
use Illuminate\Support\Carbon;

class UserFactory extends Factory
{
    protected $model = User::class;

    public function definition(): array {
        return [
            'name' => $this->faker->name(),
            'email' => $this->faker->unique()->safeEmail(),
            'mobile_no' => $this->faker->phoneNumber,
            'password' => bcrypt("password"),
            'role' => $this->faker->randomElement(array_column(UserRole::cases(), "value")),
            // 'is_active' => $this->faker->boolean(),
            'last_login_at' => Carbon::now(),
        ];
    }
}
