<?php

use App\Enums\FollowUpStatus;
use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    public function up(): void {
        Schema::create('follow_ups', function (Blueprint $table) {
            $table->id();

            $table->foreignId('lead_id')->constrained("leads")->cascadeOnDelete();

            $table->string('connected_with');
            $table->string('title');
            $table->string('summery');
            $table->date('next_follow_up_date')->nullable();
            $table->enum('status', array_column(FollowUpStatus::cases(), "value"))
                ->default(FollowUpStatus::PENDING->value);

            $table->timestamps();
        });
    }

    public function down(): void {
        Schema::dropIfExists('follow_ups');
    }
};
