<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    public function up(): void {
        Schema::create('client_nominees', function (Blueprint $table) {
            $table->id();

            $table->foreignId('client_id')->constrained("leads")->cascadeOnDelete();

            $table->string('name');
            $table->string('email')->unique();
            $table->string('mobile_no', 20)->nullable();
            $table->string('relation', 50);
            $table->decimal('percentage_allocation', 5, 2);

            // file uploads
            $table->string('aadhar', 100)->nullable();
            $table->string('pan', 100)->nullable();

            $table->timestamps();
        });
    }

    public function down(): void {
        Schema::dropIfExists('client_nominees');
    }
};
