<?php

use App\Enums\DistributorStatus;
use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    public function up(): void {
        Schema::create('distributors', function (Blueprint $table) {
            $table->id();

            $table->foreignId('user_id')->nullable()->constrained("users")->nullOnDelete();
            $table->foreignId('approved_by_id')->nullable()->constrained("users")->nullOnDelete();

            $table->string('distributor_id')->nullable();
            $table->string('reference_id')->nullable();
            $table->string("name");
            $table->string("email")->unique();
            $table->string("mobile_no", 20)->nullable();
            $table->string('address')->nullable();
            $table->string('city', 50);
            $table->decimal('commission_percentage', 5, 2)->nullable();
            $table->enum('status', array_column(DistributorStatus::cases(), "value"))
                ->default(DistributorStatus::PENDING->value);
            $table->boolean("is_mailed")->default(false);

            $table->timestamps();
        });
    }

    public function down(): void {
        Schema::dropIfExists('distributors');
    }
};
