<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    public function up(): void {
        Schema::create('daily_updates', function (Blueprint $table) {
            $table->id();

            $table->foreignId('client_id')->nullable()->constrained("users")
                ->nullOnDelete();

            $table->string('name');
            $table->date('date');
            $table->unsignedInteger('amount');

            // timestamps
            $table->timestamps();
        });
    }

    public function down(): void {
        Schema::dropIfExists('daily_updates');
    }
};
