<?php

namespace Database\Seeders;

use App\Models\CommissionSlab;
use Illuminate\Database\Seeder;

class CommissionSlabSeeder extends Seeder
{
    private array $slabs = [
        [
            'min_amount' => 0,
            'max_amount' => 50000000, // 5Cr
            'label' => "Upto 5Cr",
            'trail_commission' => 1.25,
        ],
        [
            'min_amount' => 50000000, // 5Cr
            'max_amount' => 250000000, // 25Cr
            'label' => "5Cr - 25Cr",
            'trail_commission' => 1.35,
        ],
        [
            'min_amount' => 250000000, // 25Cr
            'max_amount' => 500000000, // 50Cr
            'label' => "25Cr - 50Cr",
            'trail_commission' => 1.50,
        ],
        [
            'min_amount' => 500000000, // 50Cr+
            'max_amount' => null, // No upper limit for this slab
            'label' => "50Cr+",
            'trail_commission' => 1.65,
        ],
    ];

    /**
     * Run the database seeds.
     */
    public function run(): void {
        collect($this->slabs)->each(fn($slab) => CommissionSlab::create($slab));
    }
}
