<?php //bbc30730664b248d8ed1a0ce9ae4dd80
/** @noinspection all */

namespace LaravelIdea\Helper\App\Models {

    use App\Models\ClientInvestment;
    use App\Models\ClientNominee;
    use App\Models\CommissionSlab;
    use App\Models\DailyUpdate;
    use App\Models\Distributor;
    use App\Models\FollowUp;
    use App\Models\Lead;
    use App\Models\User;
    use Illuminate\Contracts\Database\Query\Expression;
    use Illuminate\Contracts\Support\Arrayable;
    use Illuminate\Pagination\LengthAwarePaginator;
    use Illuminate\Pagination\Paginator;
    use Illuminate\Support\Collection;
    use LaravelIdea\Helper\_BaseBuilder;
    use LaravelIdea\Helper\_BaseCollection;
    
    /**
     * @method ClientInvestment|null getOrPut($key, \Closure $value)
     * @method ClientInvestment|$this shift(int $count = 1)
     * @method ClientInvestment|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method ClientInvestment|$this pop(int $count = 1)
     * @method ClientInvestment|null pull($key, \Closure $default = null)
     * @method ClientInvestment|null last(callable|null $callback = null, \Closure $default = null)
     * @method ClientInvestment|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method ClientInvestment|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method ClientInvestment|null get($key, \Closure $default = null)
     * @method ClientInvestment|null first(callable|null $callback = null, \Closure $default = null)
     * @method ClientInvestment|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method ClientInvestment|null find($key, $default = null)
     * @method ClientInvestment[] all()
     */
    class _IH_ClientInvestment_C extends _BaseCollection {
        /**
         * @param int $size
         * @return ClientInvestment[][]|Collection<_IH_ClientInvestment_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_ClientInvestment_QB whereId($value)
     * @method _IH_ClientInvestment_QB whereClientId($value)
     * @method _IH_ClientInvestment_QB whereInvestmentAmount($value)
     * @method _IH_ClientInvestment_QB whereCreatedAt($value)
     * @method _IH_ClientInvestment_QB whereUpdatedAt($value)
     * @method ClientInvestment create(array $attributes = [])
     * @method ClientInvestment createOrFirst(array $attributes = [], array $values = [])
     * @method ClientInvestment createOrRestore(array $attributes = [], array $values = [])
     * @method ClientInvestment createQuietly(array $attributes = [])
     * @method _IH_ClientInvestment_C|ClientInvestment[] cursor()
     * @method ClientInvestment[] eagerLoadRelations(array $models)
     * @method ClientInvestment|null|_IH_ClientInvestment_C|ClientInvestment[] find($id, array|string $columns = ['*'])
     * @method _IH_ClientInvestment_C|ClientInvestment[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method ClientInvestment|_IH_ClientInvestment_C|ClientInvestment[] findOr($id, \Closure|string|string[] $columns = ['*'], \Closure|null $callback = null)
     * @method ClientInvestment|_IH_ClientInvestment_C|ClientInvestment[] findOrFail($id, array|string $columns = ['*'])
     * @method ClientInvestment|_IH_ClientInvestment_C|ClientInvestment[] findOrNew($id, array|string $columns = ['*'])
     * @method ClientInvestment first(array|string $columns = ['*'])
     * @method ClientInvestment firstOr(\Closure|string[] $columns = ['*'], \Closure|null $callback = null)
     * @method ClientInvestment firstOrCreate(array $attributes = [], array $values = [])
     * @method ClientInvestment firstOrFail(array|string $columns = ['*'])
     * @method ClientInvestment firstOrNew(array $attributes = [], array $values = [])
     * @method ClientInvestment firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method ClientInvestment forceCreate(array $attributes)
     * @method ClientInvestment forceCreateQuietly(array $attributes = [])
     * @method _IH_ClientInvestment_C|ClientInvestment[] fromQuery(string $query, array $bindings = [])
     * @method _IH_ClientInvestment_C|ClientInvestment[] get(array|string $columns = ['*'])
     * @method ClientInvestment getModel()
     * @method ClientInvestment[] getModels(array|string $columns = ['*'])
     * @method _IH_ClientInvestment_C|ClientInvestment[] hydrate(array $items)
     * @method _IH_ClientInvestment_C|ClientInvestment[] lazy(int $chunkSize = 1000)
     * @method _IH_ClientInvestment_C|ClientInvestment[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_ClientInvestment_C|ClientInvestment[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method ClientInvestment make(array $attributes = [])
     * @method ClientInvestment newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|ClientInvestment[]|_IH_ClientInvestment_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null, \Closure|int|null $total = null)
     * @method ClientInvestment restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|ClientInvestment[]|_IH_ClientInvestment_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method ClientInvestment sole(array|string $columns = ['*'])
     * @method ClientInvestment updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_ClientInvestment_QB extends _BaseBuilder {}
    
    /**
     * @method ClientNominee|null getOrPut($key, \Closure $value)
     * @method ClientNominee|$this shift(int $count = 1)
     * @method ClientNominee|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method ClientNominee|$this pop(int $count = 1)
     * @method ClientNominee|null pull($key, \Closure $default = null)
     * @method ClientNominee|null last(callable|null $callback = null, \Closure $default = null)
     * @method ClientNominee|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method ClientNominee|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method ClientNominee|null get($key, \Closure $default = null)
     * @method ClientNominee|null first(callable|null $callback = null, \Closure $default = null)
     * @method ClientNominee|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method ClientNominee|null find($key, $default = null)
     * @method ClientNominee[] all()
     */
    class _IH_ClientNominee_C extends _BaseCollection {
        /**
         * @param int $size
         * @return ClientNominee[][]|Collection<_IH_ClientNominee_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_ClientNominee_QB whereId($value)
     * @method _IH_ClientNominee_QB whereClientId($value)
     * @method _IH_ClientNominee_QB whereName($value)
     * @method _IH_ClientNominee_QB whereEmail($value)
     * @method _IH_ClientNominee_QB whereMobileNo($value)
     * @method _IH_ClientNominee_QB wherePercentageAllocation($value)
     * @method _IH_ClientNominee_QB whereAadhar($value)
     * @method _IH_ClientNominee_QB wherePan($value)
     * @method _IH_ClientNominee_QB whereCreatedAt($value)
     * @method _IH_ClientNominee_QB whereUpdatedAt($value)
     * @method ClientNominee create(array $attributes = [])
     * @method ClientNominee createOrFirst(array $attributes = [], array $values = [])
     * @method ClientNominee createOrRestore(array $attributes = [], array $values = [])
     * @method ClientNominee createQuietly(array $attributes = [])
     * @method _IH_ClientNominee_C|ClientNominee[] cursor()
     * @method ClientNominee[] eagerLoadRelations(array $models)
     * @method ClientNominee|null|_IH_ClientNominee_C|ClientNominee[] find($id, array|string $columns = ['*'])
     * @method _IH_ClientNominee_C|ClientNominee[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method ClientNominee|_IH_ClientNominee_C|ClientNominee[] findOr($id, \Closure|string|string[] $columns = ['*'], \Closure|null $callback = null)
     * @method ClientNominee|_IH_ClientNominee_C|ClientNominee[] findOrFail($id, array|string $columns = ['*'])
     * @method ClientNominee|_IH_ClientNominee_C|ClientNominee[] findOrNew($id, array|string $columns = ['*'])
     * @method ClientNominee first(array|string $columns = ['*'])
     * @method ClientNominee firstOr(\Closure|string[] $columns = ['*'], \Closure|null $callback = null)
     * @method ClientNominee firstOrCreate(array $attributes = [], array $values = [])
     * @method ClientNominee firstOrFail(array|string $columns = ['*'])
     * @method ClientNominee firstOrNew(array $attributes = [], array $values = [])
     * @method ClientNominee firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method ClientNominee forceCreate(array $attributes)
     * @method ClientNominee forceCreateQuietly(array $attributes = [])
     * @method _IH_ClientNominee_C|ClientNominee[] fromQuery(string $query, array $bindings = [])
     * @method _IH_ClientNominee_C|ClientNominee[] get(array|string $columns = ['*'])
     * @method ClientNominee getModel()
     * @method ClientNominee[] getModels(array|string $columns = ['*'])
     * @method _IH_ClientNominee_C|ClientNominee[] hydrate(array $items)
     * @method _IH_ClientNominee_C|ClientNominee[] lazy(int $chunkSize = 1000)
     * @method _IH_ClientNominee_C|ClientNominee[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_ClientNominee_C|ClientNominee[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method ClientNominee make(array $attributes = [])
     * @method ClientNominee newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|ClientNominee[]|_IH_ClientNominee_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null, \Closure|int|null $total = null)
     * @method ClientNominee restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|ClientNominee[]|_IH_ClientNominee_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method ClientNominee sole(array|string $columns = ['*'])
     * @method ClientNominee updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_ClientNominee_QB extends _BaseBuilder {}
    
    /**
     * @method CommissionSlab|null getOrPut($key, \Closure $value)
     * @method CommissionSlab|$this shift(int $count = 1)
     * @method CommissionSlab|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method CommissionSlab|$this pop(int $count = 1)
     * @method CommissionSlab|null pull($key, \Closure $default = null)
     * @method CommissionSlab|null last(callable|null $callback = null, \Closure $default = null)
     * @method CommissionSlab|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method CommissionSlab|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method CommissionSlab|null get($key, \Closure $default = null)
     * @method CommissionSlab|null first(callable|null $callback = null, \Closure $default = null)
     * @method CommissionSlab|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method CommissionSlab|null find($key, $default = null)
     * @method CommissionSlab[] all()
     */
    class _IH_CommissionSlab_C extends _BaseCollection {
        /**
         * @param int $size
         * @return CommissionSlab[][]|Collection<_IH_CommissionSlab_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_CommissionSlab_QB whereId($value)
     * @method _IH_CommissionSlab_QB whereMinAmount($value)
     * @method _IH_CommissionSlab_QB whereMaxAmount($value)
     * @method _IH_CommissionSlab_QB whereLabel($value)
     * @method _IH_CommissionSlab_QB whereTrailCommission($value)
     * @method _IH_CommissionSlab_QB whereCreatedAt($value)
     * @method _IH_CommissionSlab_QB whereUpdatedAt($value)
     * @method CommissionSlab create(array $attributes = [])
     * @method CommissionSlab createOrFirst(array $attributes = [], array $values = [])
     * @method CommissionSlab createOrRestore(array $attributes = [], array $values = [])
     * @method CommissionSlab createQuietly(array $attributes = [])
     * @method _IH_CommissionSlab_C|CommissionSlab[] cursor()
     * @method CommissionSlab[] eagerLoadRelations(array $models)
     * @method CommissionSlab|null|_IH_CommissionSlab_C|CommissionSlab[] find($id, array|string $columns = ['*'])
     * @method _IH_CommissionSlab_C|CommissionSlab[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method CommissionSlab|_IH_CommissionSlab_C|CommissionSlab[] findOr($id, \Closure|string|string[] $columns = ['*'], \Closure|null $callback = null)
     * @method CommissionSlab|_IH_CommissionSlab_C|CommissionSlab[] findOrFail($id, array|string $columns = ['*'])
     * @method CommissionSlab|_IH_CommissionSlab_C|CommissionSlab[] findOrNew($id, array|string $columns = ['*'])
     * @method CommissionSlab first(array|string $columns = ['*'])
     * @method CommissionSlab firstOr(\Closure|string[] $columns = ['*'], \Closure|null $callback = null)
     * @method CommissionSlab firstOrCreate(array $attributes = [], array $values = [])
     * @method CommissionSlab firstOrFail(array|string $columns = ['*'])
     * @method CommissionSlab firstOrNew(array $attributes = [], array $values = [])
     * @method CommissionSlab firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method CommissionSlab forceCreate(array $attributes)
     * @method CommissionSlab forceCreateQuietly(array $attributes = [])
     * @method _IH_CommissionSlab_C|CommissionSlab[] fromQuery(string $query, array $bindings = [])
     * @method _IH_CommissionSlab_C|CommissionSlab[] get(array|string $columns = ['*'])
     * @method CommissionSlab getModel()
     * @method CommissionSlab[] getModels(array|string $columns = ['*'])
     * @method _IH_CommissionSlab_C|CommissionSlab[] hydrate(array $items)
     * @method _IH_CommissionSlab_C|CommissionSlab[] lazy(int $chunkSize = 1000)
     * @method _IH_CommissionSlab_C|CommissionSlab[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_CommissionSlab_C|CommissionSlab[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method CommissionSlab make(array $attributes = [])
     * @method CommissionSlab newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|CommissionSlab[]|_IH_CommissionSlab_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null, \Closure|int|null $total = null)
     * @method CommissionSlab restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|CommissionSlab[]|_IH_CommissionSlab_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method CommissionSlab sole(array|string $columns = ['*'])
     * @method CommissionSlab updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_CommissionSlab_QB extends _BaseBuilder {}
    
    /**
     * @method DailyUpdate|null getOrPut($key, \Closure $value)
     * @method DailyUpdate|$this shift(int $count = 1)
     * @method DailyUpdate|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method DailyUpdate|$this pop(int $count = 1)
     * @method DailyUpdate|null pull($key, \Closure $default = null)
     * @method DailyUpdate|null last(callable|null $callback = null, \Closure $default = null)
     * @method DailyUpdate|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method DailyUpdate|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method DailyUpdate|null get($key, \Closure $default = null)
     * @method DailyUpdate|null first(callable|null $callback = null, \Closure $default = null)
     * @method DailyUpdate|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method DailyUpdate|null find($key, $default = null)
     * @method DailyUpdate[] all()
     */
    class _IH_DailyUpdate_C extends _BaseCollection {
        /**
         * @param int $size
         * @return DailyUpdate[][]|Collection<_IH_DailyUpdate_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_DailyUpdate_QB whereId($value)
     * @method _IH_DailyUpdate_QB whereClientId($value)
     * @method _IH_DailyUpdate_QB whereName($value)
     * @method _IH_DailyUpdate_QB whereAmount($value)
     * @method _IH_DailyUpdate_QB whereCreatedAt($value)
     * @method _IH_DailyUpdate_QB whereUpdatedAt($value)
     * @method DailyUpdate create(array $attributes = [])
     * @method DailyUpdate createOrFirst(array $attributes = [], array $values = [])
     * @method DailyUpdate createOrRestore(array $attributes = [], array $values = [])
     * @method DailyUpdate createQuietly(array $attributes = [])
     * @method _IH_DailyUpdate_C|DailyUpdate[] cursor()
     * @method DailyUpdate[] eagerLoadRelations(array $models)
     * @method DailyUpdate|null|_IH_DailyUpdate_C|DailyUpdate[] find($id, array|string $columns = ['*'])
     * @method _IH_DailyUpdate_C|DailyUpdate[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method DailyUpdate|_IH_DailyUpdate_C|DailyUpdate[] findOr($id, \Closure|string|string[] $columns = ['*'], \Closure|null $callback = null)
     * @method DailyUpdate|_IH_DailyUpdate_C|DailyUpdate[] findOrFail($id, array|string $columns = ['*'])
     * @method DailyUpdate|_IH_DailyUpdate_C|DailyUpdate[] findOrNew($id, array|string $columns = ['*'])
     * @method DailyUpdate first(array|string $columns = ['*'])
     * @method DailyUpdate firstOr(\Closure|string[] $columns = ['*'], \Closure|null $callback = null)
     * @method DailyUpdate firstOrCreate(array $attributes = [], array $values = [])
     * @method DailyUpdate firstOrFail(array|string $columns = ['*'])
     * @method DailyUpdate firstOrNew(array $attributes = [], array $values = [])
     * @method DailyUpdate firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method DailyUpdate forceCreate(array $attributes)
     * @method DailyUpdate forceCreateQuietly(array $attributes = [])
     * @method _IH_DailyUpdate_C|DailyUpdate[] fromQuery(string $query, array $bindings = [])
     * @method _IH_DailyUpdate_C|DailyUpdate[] get(array|string $columns = ['*'])
     * @method DailyUpdate getModel()
     * @method DailyUpdate[] getModels(array|string $columns = ['*'])
     * @method _IH_DailyUpdate_C|DailyUpdate[] hydrate(array $items)
     * @method _IH_DailyUpdate_C|DailyUpdate[] lazy(int $chunkSize = 1000)
     * @method _IH_DailyUpdate_C|DailyUpdate[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_DailyUpdate_C|DailyUpdate[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method DailyUpdate make(array $attributes = [])
     * @method DailyUpdate newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|DailyUpdate[]|_IH_DailyUpdate_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null, \Closure|int|null $total = null)
     * @method DailyUpdate restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|DailyUpdate[]|_IH_DailyUpdate_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method DailyUpdate sole(array|string $columns = ['*'])
     * @method DailyUpdate updateOrCreate(array $attributes, array $values = [])
     * @method _IH_DailyUpdate_QB filter(array|null $params = null)
     * @method _IH_DailyUpdate_QB filterBy(array|string $filters)
     * @method _IH_DailyUpdate_QB filterFields(array|string $fields)
     * @method _IH_DailyUpdate_QB renamedFilterFields(array $renamedFilterFields)
     * @method _IH_DailyUpdate_QB restrictedFilters(array|string $restrictedFilters)
     */
    class _IH_DailyUpdate_QB extends _BaseBuilder {}
    
    /**
     * @method Distributor|null getOrPut($key, \Closure $value)
     * @method Distributor|$this shift(int $count = 1)
     * @method Distributor|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method Distributor|$this pop(int $count = 1)
     * @method Distributor|null pull($key, \Closure $default = null)
     * @method Distributor|null last(callable|null $callback = null, \Closure $default = null)
     * @method Distributor|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method Distributor|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method Distributor|null get($key, \Closure $default = null)
     * @method Distributor|null first(callable|null $callback = null, \Closure $default = null)
     * @method Distributor|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method Distributor|null find($key, $default = null)
     * @method Distributor[] all()
     */
    class _IH_Distributor_C extends _BaseCollection {
        /**
         * @param int $size
         * @return Distributor[][]|Collection<_IH_Distributor_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_Distributor_QB whereId($value)
     * @method _IH_Distributor_QB whereUserId($value)
     * @method _IH_Distributor_QB whereApprovedById($value)
     * @method _IH_Distributor_QB whereDistributorId($value)
     * @method _IH_Distributor_QB whereReferenceId($value)
     * @method _IH_Distributor_QB whereName($value)
     * @method _IH_Distributor_QB whereEmail($value)
     * @method _IH_Distributor_QB whereMobileNo($value)
     * @method _IH_Distributor_QB whereAddress($value)
     * @method _IH_Distributor_QB whereCity($value)
     * @method _IH_Distributor_QB whereCommissionPercentage($value)
     * @method _IH_Distributor_QB whereStatus($value)
     * @method _IH_Distributor_QB whereIsMailed($value)
     * @method _IH_Distributor_QB whereCreatedAt($value)
     * @method _IH_Distributor_QB whereUpdatedAt($value)
     * @method Distributor create(array $attributes = [])
     * @method Distributor createOrFirst(array $attributes = [], array $values = [])
     * @method Distributor createOrRestore(array $attributes = [], array $values = [])
     * @method Distributor createQuietly(array $attributes = [])
     * @method _IH_Distributor_C|Distributor[] cursor()
     * @method Distributor[] eagerLoadRelations(array $models)
     * @method Distributor|null|_IH_Distributor_C|Distributor[] find($id, array|string $columns = ['*'])
     * @method _IH_Distributor_C|Distributor[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method Distributor|_IH_Distributor_C|Distributor[] findOr($id, \Closure|string|string[] $columns = ['*'], \Closure|null $callback = null)
     * @method Distributor|_IH_Distributor_C|Distributor[] findOrFail($id, array|string $columns = ['*'])
     * @method Distributor|_IH_Distributor_C|Distributor[] findOrNew($id, array|string $columns = ['*'])
     * @method Distributor first(array|string $columns = ['*'])
     * @method Distributor firstOr(\Closure|string[] $columns = ['*'], \Closure|null $callback = null)
     * @method Distributor firstOrCreate(array $attributes = [], array $values = [])
     * @method Distributor firstOrFail(array|string $columns = ['*'])
     * @method Distributor firstOrNew(array $attributes = [], array $values = [])
     * @method Distributor firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method Distributor forceCreate(array $attributes)
     * @method Distributor forceCreateQuietly(array $attributes = [])
     * @method _IH_Distributor_C|Distributor[] fromQuery(string $query, array $bindings = [])
     * @method _IH_Distributor_C|Distributor[] get(array|string $columns = ['*'])
     * @method Distributor getModel()
     * @method Distributor[] getModels(array|string $columns = ['*'])
     * @method _IH_Distributor_C|Distributor[] hydrate(array $items)
     * @method _IH_Distributor_C|Distributor[] lazy(int $chunkSize = 1000)
     * @method _IH_Distributor_C|Distributor[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_Distributor_C|Distributor[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method Distributor make(array $attributes = [])
     * @method Distributor newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|Distributor[]|_IH_Distributor_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null, \Closure|int|null $total = null)
     * @method Distributor restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|Distributor[]|_IH_Distributor_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Distributor sole(array|string $columns = ['*'])
     * @method Distributor updateOrCreate(array $attributes, array $values = [])
     * @method _IH_Distributor_QB filter(array|null $params = null)
     * @method _IH_Distributor_QB filterBy(array|string $filters)
     * @method _IH_Distributor_QB filterFields(array|string $fields)
     * @method _IH_Distributor_QB renamedFilterFields(array $renamedFilterFields)
     * @method _IH_Distributor_QB restrictedFilters(array|string $restrictedFilters)
     */
    class _IH_Distributor_QB extends _BaseBuilder {}
    
    /**
     * @method FollowUp|null getOrPut($key, \Closure $value)
     * @method FollowUp|$this shift(int $count = 1)
     * @method FollowUp|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method FollowUp|$this pop(int $count = 1)
     * @method FollowUp|null pull($key, \Closure $default = null)
     * @method FollowUp|null last(callable|null $callback = null, \Closure $default = null)
     * @method FollowUp|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method FollowUp|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method FollowUp|null get($key, \Closure $default = null)
     * @method FollowUp|null first(callable|null $callback = null, \Closure $default = null)
     * @method FollowUp|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method FollowUp|null find($key, $default = null)
     * @method FollowUp[] all()
     */
    class _IH_FollowUp_C extends _BaseCollection {
        /**
         * @param int $size
         * @return FollowUp[][]|Collection<_IH_FollowUp_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_FollowUp_QB whereId($value)
     * @method _IH_FollowUp_QB whereLeadId($value)
     * @method _IH_FollowUp_QB whereConnectedWith($value)
     * @method _IH_FollowUp_QB whereTitle($value)
     * @method _IH_FollowUp_QB whereSummery($value)
     * @method _IH_FollowUp_QB whereNextFollowUpDate($value)
     * @method _IH_FollowUp_QB whereStatus($value)
     * @method _IH_FollowUp_QB whereCreatedAt($value)
     * @method _IH_FollowUp_QB whereUpdatedAt($value)
     * @method FollowUp create(array $attributes = [])
     * @method FollowUp createOrFirst(array $attributes = [], array $values = [])
     * @method FollowUp createOrRestore(array $attributes = [], array $values = [])
     * @method FollowUp createQuietly(array $attributes = [])
     * @method _IH_FollowUp_C|FollowUp[] cursor()
     * @method FollowUp[] eagerLoadRelations(array $models)
     * @method FollowUp|null|_IH_FollowUp_C|FollowUp[] find($id, array|string $columns = ['*'])
     * @method _IH_FollowUp_C|FollowUp[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method FollowUp|_IH_FollowUp_C|FollowUp[] findOr($id, \Closure|string|string[] $columns = ['*'], \Closure|null $callback = null)
     * @method FollowUp|_IH_FollowUp_C|FollowUp[] findOrFail($id, array|string $columns = ['*'])
     * @method FollowUp|_IH_FollowUp_C|FollowUp[] findOrNew($id, array|string $columns = ['*'])
     * @method FollowUp first(array|string $columns = ['*'])
     * @method FollowUp firstOr(\Closure|string[] $columns = ['*'], \Closure|null $callback = null)
     * @method FollowUp firstOrCreate(array $attributes = [], array $values = [])
     * @method FollowUp firstOrFail(array|string $columns = ['*'])
     * @method FollowUp firstOrNew(array $attributes = [], array $values = [])
     * @method FollowUp firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method FollowUp forceCreate(array $attributes)
     * @method FollowUp forceCreateQuietly(array $attributes = [])
     * @method _IH_FollowUp_C|FollowUp[] fromQuery(string $query, array $bindings = [])
     * @method _IH_FollowUp_C|FollowUp[] get(array|string $columns = ['*'])
     * @method FollowUp getModel()
     * @method FollowUp[] getModels(array|string $columns = ['*'])
     * @method _IH_FollowUp_C|FollowUp[] hydrate(array $items)
     * @method _IH_FollowUp_C|FollowUp[] lazy(int $chunkSize = 1000)
     * @method _IH_FollowUp_C|FollowUp[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_FollowUp_C|FollowUp[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method FollowUp make(array $attributes = [])
     * @method FollowUp newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|FollowUp[]|_IH_FollowUp_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null, \Closure|int|null $total = null)
     * @method FollowUp restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|FollowUp[]|_IH_FollowUp_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method FollowUp sole(array|string $columns = ['*'])
     * @method FollowUp updateOrCreate(array $attributes, array $values = [])
     * @method _IH_FollowUp_QB filter(array|null $params = null)
     * @method _IH_FollowUp_QB filterBy(array|string $filters)
     * @method _IH_FollowUp_QB filterFields(array|string $fields)
     * @method _IH_FollowUp_QB renamedFilterFields(array $renamedFilterFields)
     * @method _IH_FollowUp_QB restrictedFilters(array|string $restrictedFilters)
     */
    class _IH_FollowUp_QB extends _BaseBuilder {}
    
    /**
     * @method Lead|null getOrPut($key, \Closure $value)
     * @method Lead|$this shift(int $count = 1)
     * @method Lead|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method Lead|$this pop(int $count = 1)
     * @method Lead|null pull($key, \Closure $default = null)
     * @method Lead|null last(callable|null $callback = null, \Closure $default = null)
     * @method Lead|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method Lead|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method Lead|null get($key, \Closure $default = null)
     * @method Lead|null first(callable|null $callback = null, \Closure $default = null)
     * @method Lead|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method Lead|null find($key, $default = null)
     * @method Lead[] all()
     */
    class _IH_Lead_C extends _BaseCollection {
        /**
         * @param int $size
         * @return Lead[][]|Collection<_IH_Lead_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_Lead_QB whereId($value)
     * @method _IH_Lead_QB whereUserId($value)
     * @method _IH_Lead_QB whereCreatedById($value)
     * @method _IH_Lead_QB whereAssignedToId($value)
     * @method _IH_Lead_QB whereRmId($value)
     * @method _IH_Lead_QB whereDistributorId($value)
     * @method _IH_Lead_QB whereName($value)
     * @method _IH_Lead_QB whereEmail($value)
     * @method _IH_Lead_QB whereMobileNo($value)
     * @method _IH_Lead_QB whereRemarks($value)
     * @method _IH_Lead_QB whereDesiredInvestmentAmount($value)
     * @method _IH_Lead_QB whereLeadStatus($value)
     * @method _IH_Lead_QB whereInitialInvestmentDate($value)
     * @method _IH_Lead_QB whereInitialInvestedAmount($value)
     * @method _IH_Lead_QB whereCurrentInvestedAmount($value)
     * @method _IH_Lead_QB whereCurrentInvestmentValue($value)
     * @method _IH_Lead_QB whereMotherName($value)
     * @method _IH_Lead_QB whereChequeNo($value)
     * @method _IH_Lead_QB whereIsClient($value)
     * @method _IH_Lead_QB whereIsOnboarded($value)
     * @method _IH_Lead_QB whereIsMailed($value)
     * @method _IH_Lead_QB whereConvertedAt($value)
     * @method _IH_Lead_QB whereClientStatus($value)
     * @method _IH_Lead_QB whereClientType($value)
     * @method _IH_Lead_QB whereAadhar($value)
     * @method _IH_Lead_QB wherePan($value)
     * @method _IH_Lead_QB whereSignature($value)
     * @method _IH_Lead_QB wherePhoto($value)
     * @method _IH_Lead_QB whereCreatedAt($value)
     * @method _IH_Lead_QB whereUpdatedAt($value)
     * @method Lead create(array $attributes = [])
     * @method Lead createOrFirst(array $attributes = [], array $values = [])
     * @method Lead createOrRestore(array $attributes = [], array $values = [])
     * @method Lead createQuietly(array $attributes = [])
     * @method _IH_Lead_C|Lead[] cursor()
     * @method Lead[] eagerLoadRelations(array $models)
     * @method Lead|null|_IH_Lead_C|Lead[] find($id, array|string $columns = ['*'])
     * @method _IH_Lead_C|Lead[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method Lead|_IH_Lead_C|Lead[] findOr($id, \Closure|string|string[] $columns = ['*'], \Closure|null $callback = null)
     * @method Lead|_IH_Lead_C|Lead[] findOrFail($id, array|string $columns = ['*'])
     * @method Lead|_IH_Lead_C|Lead[] findOrNew($id, array|string $columns = ['*'])
     * @method Lead first(array|string $columns = ['*'])
     * @method Lead firstOr(\Closure|string[] $columns = ['*'], \Closure|null $callback = null)
     * @method Lead firstOrCreate(array $attributes = [], array $values = [])
     * @method Lead firstOrFail(array|string $columns = ['*'])
     * @method Lead firstOrNew(array $attributes = [], array $values = [])
     * @method Lead firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method Lead forceCreate(array $attributes)
     * @method Lead forceCreateQuietly(array $attributes = [])
     * @method _IH_Lead_C|Lead[] fromQuery(string $query, array $bindings = [])
     * @method _IH_Lead_C|Lead[] get(array|string $columns = ['*'])
     * @method Lead getModel()
     * @method Lead[] getModels(array|string $columns = ['*'])
     * @method _IH_Lead_C|Lead[] hydrate(array $items)
     * @method _IH_Lead_C|Lead[] lazy(int $chunkSize = 1000)
     * @method _IH_Lead_C|Lead[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_Lead_C|Lead[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method Lead make(array $attributes = [])
     * @method Lead newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|Lead[]|_IH_Lead_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null, \Closure|int|null $total = null)
     * @method Lead restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|Lead[]|_IH_Lead_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Lead sole(array|string $columns = ['*'])
     * @method Lead updateOrCreate(array $attributes, array $values = [])
     * @method _IH_Lead_QB filter(array|null $params = null)
     * @method _IH_Lead_QB filterBy(array|string $filters)
     * @method _IH_Lead_QB filterFields(array|string $fields)
     * @method _IH_Lead_QB renamedFilterFields(array $renamedFilterFields)
     * @method _IH_Lead_QB restrictedFilters(array|string $restrictedFilters)
     */
    class _IH_Lead_QB extends _BaseBuilder {}
    
    /**
     * @method User|null getOrPut($key, \Closure $value)
     * @method User|$this shift(int $count = 1)
     * @method User|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method User|$this pop(int $count = 1)
     * @method User|null pull($key, \Closure $default = null)
     * @method User|null last(callable|null $callback = null, \Closure $default = null)
     * @method User|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method User|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method User|null get($key, \Closure $default = null)
     * @method User|null first(callable|null $callback = null, \Closure $default = null)
     * @method User|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method User|null find($key, $default = null)
     * @method User[] all()
     */
    class _IH_User_C extends _BaseCollection {
        /**
         * @param int $size
         * @return User[][]|Collection<_IH_User_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_User_QB whereId($value)
     * @method _IH_User_QB whereSuperAdminId($value)
     * @method _IH_User_QB whereAdminId($value)
     * @method _IH_User_QB whereRmId($value)
     * @method _IH_User_QB whereDistributorId($value)
     * @method _IH_User_QB whereName($value)
     * @method _IH_User_QB whereEmail($value)
     * @method _IH_User_QB whereEmailVerifiedAt($value)
     * @method _IH_User_QB whereMobileNo($value)
     * @method _IH_User_QB wherePassword($value)
     * @method _IH_User_QB whereRole($value)
     * @method _IH_User_QB whereIsActive($value)
     * @method _IH_User_QB whereLastLoginAt($value)
     * @method _IH_User_QB whereRememberToken($value)
     * @method _IH_User_QB whereCreatedAt($value)
     * @method _IH_User_QB whereUpdatedAt($value)
     * @method User create(array $attributes = [])
     * @method User createOrFirst(array $attributes = [], array $values = [])
     * @method User createOrRestore(array $attributes = [], array $values = [])
     * @method User createQuietly(array $attributes = [])
     * @method _IH_User_C|User[] cursor()
     * @method User[] eagerLoadRelations(array $models)
     * @method User|null|_IH_User_C|User[] find($id, array|string $columns = ['*'])
     * @method _IH_User_C|User[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method User|_IH_User_C|User[] findOr($id, \Closure|string|string[] $columns = ['*'], \Closure|null $callback = null)
     * @method User|_IH_User_C|User[] findOrFail($id, array|string $columns = ['*'])
     * @method User|_IH_User_C|User[] findOrNew($id, array|string $columns = ['*'])
     * @method User first(array|string $columns = ['*'])
     * @method User firstOr(\Closure|string[] $columns = ['*'], \Closure|null $callback = null)
     * @method User firstOrCreate(array $attributes = [], array $values = [])
     * @method User firstOrFail(array|string $columns = ['*'])
     * @method User firstOrNew(array $attributes = [], array $values = [])
     * @method User firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method User forceCreate(array $attributes)
     * @method User forceCreateQuietly(array $attributes = [])
     * @method _IH_User_C|User[] fromQuery(string $query, array $bindings = [])
     * @method _IH_User_C|User[] get(array|string $columns = ['*'])
     * @method User getModel()
     * @method User[] getModels(array|string $columns = ['*'])
     * @method _IH_User_C|User[] hydrate(array $items)
     * @method _IH_User_C|User[] lazy(int $chunkSize = 1000)
     * @method _IH_User_C|User[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_User_C|User[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method User make(array $attributes = [])
     * @method User newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|User[]|_IH_User_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null, \Closure|int|null $total = null)
     * @method User restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|User[]|_IH_User_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method User sole(array|string $columns = ['*'])
     * @method User updateOrCreate(array $attributes, array $values = [])
     * @method _IH_User_QB filter(array|null $params = null)
     * @method _IH_User_QB filterBy(array|string $filters)
     * @method _IH_User_QB filterFields(array|string $fields)
     * @method _IH_User_QB renamedFilterFields(array $renamedFilterFields)
     * @method _IH_User_QB restrictedFilters(array|string $restrictedFilters)
     */
    class _IH_User_QB extends _BaseBuilder {}
}