<?php //0fe5ad607dd22d967abad8ae2fb43076
/** @noinspection all */

namespace App\Models {

    use Database\Factories\ClientInvestmentFactory;
    use Database\Factories\ClientNomineeFactory;
    use Database\Factories\CommissionSlabFactory;
    use Database\Factories\DailyUpdateFactory;
    use Database\Factories\DistributorFactory;
    use Database\Factories\FollowUpFactory;
    use Database\Factories\LeadFactory;
    use Database\Factories\UserFactory;
    use Illuminate\Database\Eloquent\Model;
    use Illuminate\Database\Eloquent\Relations\BelongsTo;
    use Illuminate\Database\Eloquent\Relations\HasMany;
    use Illuminate\Database\Eloquent\Relations\HasOne;
    use Illuminate\Database\Eloquent\Relations\MorphToMany;
    use Illuminate\Notifications\DatabaseNotification;
    use Illuminate\Notifications\DatabaseNotificationCollection;
    use Illuminate\Support\Carbon;
    use Laravel\Sanctum\PersonalAccessToken;
    use LaravelIdea\Helper\App\Models\_IH_ClientInvestment_C;
    use LaravelIdea\Helper\App\Models\_IH_ClientInvestment_QB;
    use LaravelIdea\Helper\App\Models\_IH_ClientNominee_C;
    use LaravelIdea\Helper\App\Models\_IH_ClientNominee_QB;
    use LaravelIdea\Helper\App\Models\_IH_CommissionSlab_C;
    use LaravelIdea\Helper\App\Models\_IH_CommissionSlab_QB;
    use LaravelIdea\Helper\App\Models\_IH_DailyUpdate_C;
    use LaravelIdea\Helper\App\Models\_IH_DailyUpdate_QB;
    use LaravelIdea\Helper\App\Models\_IH_Distributor_C;
    use LaravelIdea\Helper\App\Models\_IH_Distributor_QB;
    use LaravelIdea\Helper\App\Models\_IH_FollowUp_C;
    use LaravelIdea\Helper\App\Models\_IH_FollowUp_QB;
    use LaravelIdea\Helper\App\Models\_IH_Lead_C;
    use LaravelIdea\Helper\App\Models\_IH_Lead_QB;
    use LaravelIdea\Helper\App\Models\_IH_User_C;
    use LaravelIdea\Helper\App\Models\_IH_User_QB;
    use LaravelIdea\Helper\Illuminate\Notifications\_IH_DatabaseNotification_QB;
    use LaravelIdea\Helper\Laravel\Sanctum\_IH_PersonalAccessToken_C;
    use LaravelIdea\Helper\Laravel\Sanctum\_IH_PersonalAccessToken_QB;
    
    /**
     * @property int $id
     * @property int $client_id
     * @property int $investment_amount
     * @property Carbon $date
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property Lead $client
     * @method BelongsTo|_IH_Lead_QB client()
     * @method static _IH_ClientInvestment_QB onWriteConnection()
     * @method _IH_ClientInvestment_QB newQuery()
     * @method static _IH_ClientInvestment_QB on(null|string $connection = null)
     * @method static _IH_ClientInvestment_QB query()
     * @method static _IH_ClientInvestment_QB with(array|string $relations)
     * @method _IH_ClientInvestment_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_ClientInvestment_C|ClientInvestment[] all()
     * @ownLinks client_id,\App\Models\Lead,id
     * @mixin _IH_ClientInvestment_QB
     * @method static ClientInvestmentFactory factory(callable|int|mixed[]|null $count = null, callable|mixed[] $state = [])
     */
    class ClientInvestment extends Model {}
    
    /**
     * @property int $id
     * @property int $client_id
     * @property string $name
     * @property string $email
     * @property string|null $mobile_no
     * @property string $relation
     * @property float $percentage_allocation
     * @property string|null $aadhar
     * @property string|null $pan
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property Lead $client
     * @method BelongsTo|_IH_Lead_QB client()
     * @method static _IH_ClientNominee_QB onWriteConnection()
     * @method _IH_ClientNominee_QB newQuery()
     * @method static _IH_ClientNominee_QB on(null|string $connection = null)
     * @method static _IH_ClientNominee_QB query()
     * @method static _IH_ClientNominee_QB with(array|string $relations)
     * @method _IH_ClientNominee_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_ClientNominee_C|ClientNominee[] all()
     * @ownLinks client_id,\App\Models\Lead,id
     * @mixin _IH_ClientNominee_QB
     * @method static ClientNomineeFactory factory(callable|int|mixed[]|null $count = null, callable|mixed[] $state = [])
     */
    class ClientNominee extends Model {}
    
    /**
     * @property int $id
     * @property int $min_amount
     * @property int|null $max_amount
     * @property string|null $label
     * @property float $trail_commission
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @method static _IH_CommissionSlab_QB onWriteConnection()
     * @method _IH_CommissionSlab_QB newQuery()
     * @method static _IH_CommissionSlab_QB on(null|string $connection = null)
     * @method static _IH_CommissionSlab_QB query()
     * @method static _IH_CommissionSlab_QB with(array|string $relations)
     * @method _IH_CommissionSlab_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_CommissionSlab_C|CommissionSlab[] all()
     * @mixin _IH_CommissionSlab_QB
     * @method static CommissionSlabFactory factory(callable|int|mixed[]|null $count = null, callable|mixed[] $state = [])
     */
    class CommissionSlab extends Model {}
    
    /**
     * @property int $id
     * @property int|null $client_id
     * @property string $name
     * @property Carbon $date
     * @property int $amount
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property User|null $client
     * @method BelongsTo|_IH_User_QB client()
     * @method static _IH_DailyUpdate_QB onWriteConnection()
     * @method _IH_DailyUpdate_QB newQuery()
     * @method static _IH_DailyUpdate_QB on(null|string $connection = null)
     * @method static _IH_DailyUpdate_QB query()
     * @method static _IH_DailyUpdate_QB with(array|string $relations)
     * @method _IH_DailyUpdate_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_DailyUpdate_C|DailyUpdate[] all()
     * @ownLinks client_id,\App\Models\User,id
     * @mixin _IH_DailyUpdate_QB
     * @method static DailyUpdateFactory factory(callable|int|mixed[]|null $count = null, callable|mixed[] $state = [])
     */
    class DailyUpdate extends Model {}
    
    /**
     * @property int $id
     * @property int|null $user_id
     * @property int|null $approved_by_id
     * @property string|null $distributor_id
     * @property string|null $reference_id
     * @property string $name
     * @property string $email
     * @property string|null $mobile_no
     * @property string|null $address
     * @property string $city
     * @property float|null $commission_percentage
     * @property string $status
     * @property bool $is_mailed
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property User|null $approvedBy
     * @method BelongsTo|_IH_User_QB approvedBy()
     * @property User|null $user
     * @method BelongsTo|_IH_User_QB user()
     * @method static _IH_Distributor_QB onWriteConnection()
     * @method _IH_Distributor_QB newQuery()
     * @method static _IH_Distributor_QB on(null|string $connection = null)
     * @method static _IH_Distributor_QB query()
     * @method static _IH_Distributor_QB with(array|string $relations)
     * @method _IH_Distributor_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_Distributor_C|Distributor[] all()
     * @ownLinks user_id,\App\Models\User,id|approved_by_id,\App\Models\User,id
     * @mixin _IH_Distributor_QB
     * @method static DistributorFactory factory(callable|int|mixed[]|null $count = null, callable|mixed[] $state = [])
     */
    class Distributor extends Model {}
    
    /**
     * @property int $id
     * @property int $lead_id
     * @property string $connected_with
     * @property string $title
     * @property string $summery
     * @property Carbon|null $next_follow_up_date
     * @property string $status
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property Lead $lead
     * @method BelongsTo|_IH_Lead_QB lead()
     * @method static _IH_FollowUp_QB onWriteConnection()
     * @method _IH_FollowUp_QB newQuery()
     * @method static _IH_FollowUp_QB on(null|string $connection = null)
     * @method static _IH_FollowUp_QB query()
     * @method static _IH_FollowUp_QB with(array|string $relations)
     * @method _IH_FollowUp_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_FollowUp_C|FollowUp[] all()
     * @ownLinks lead_id,\App\Models\Lead,id
     * @mixin _IH_FollowUp_QB
     * @method static FollowUpFactory factory(callable|int|mixed[]|null $count = null, callable|mixed[] $state = [])
     */
    class FollowUp extends Model {}
    
    /**
     * @property int $id
     * @property int|null $user_id
     * @property int|null $created_by_id
     * @property int|null $assigned_to_id
     * @property int|null $rm_id
     * @property int|null $distributor_id
     * @property string $name
     * @property string $email
     * @property string|null $mobile_no
     * @property string|null $remarks
     * @property int|null $desired_investment_amount
     * @property string $lead_status
     * @property Carbon|null $initial_investment_date
     * @property int|null $initial_invested_amount
     * @property int|null $current_invested_amount
     * @property int|null $current_investment_value
     * @property string|null $mother_name
     * @property string|null $cheque_no
     * @property bool $is_client
     * @property bool $is_onboarded
     * @property bool $is_mailed
     * @property Carbon|null $converted_at
     * @property string|null $client_status
     * @property string|null $client_type
     * @property string|null $aadhar
     * @property string|null $pan
     * @property string|null $signature
     * @property string|null $photo
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property User|null $assignedTo
     * @method BelongsTo|_IH_User_QB assignedTo()
     * @property _IH_ClientInvestment_C|ClientInvestment[] $clientInvestments
     * @property-read int $client_investments_count
     * @method HasMany|_IH_ClientInvestment_QB clientInvestments()
     * @property _IH_ClientNominee_C|ClientNominee[] $clientNominees
     * @property-read int $client_nominees_count
     * @method HasMany|_IH_ClientNominee_QB clientNominees()
     * @property User|null $createdBy
     * @method BelongsTo|_IH_User_QB createdBy()
     * @property User|null $distributor
     * @method BelongsTo|_IH_User_QB distributor()
     * @property User|null $rm
     * @method BelongsTo|_IH_User_QB rm()
     * @property User|null $user
     * @method BelongsTo|_IH_User_QB user()
     * @method static _IH_Lead_QB onWriteConnection()
     * @method _IH_Lead_QB newQuery()
     * @method static _IH_Lead_QB on(null|string $connection = null)
     * @method static _IH_Lead_QB query()
     * @method static _IH_Lead_QB with(array|string $relations)
     * @method _IH_Lead_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_Lead_C|Lead[] all()
     * @ownLinks user_id,\App\Models\User,id|created_by_id,\App\Models\User,id|assigned_to_id,\App\Models\User,id|rm_id,\App\Models\User,id|distributor_id,\App\Models\User,id
     * @foreignLinks id,\App\Models\FollowUp,lead_id|id,\App\Models\ClientNominee,client_id|id,\App\Models\ClientInvestment,client_id
     * @mixin _IH_Lead_QB
     * @method static LeadFactory factory(callable|int|mixed[]|null $count = null, callable|mixed[] $state = [])
     */
    class Lead extends Model {}
    
    /**
     * @property int $id
     * @property int|null $super_admin_id
     * @property int|null $admin_id
     * @property int|null $rm_id
     * @property int|null $distributor_id
     * @property string $name
     * @property string $email
     * @property Carbon|null $email_verified_at
     * @property string|null $mobile_no
     * @property mixed $password
     * @property string $role
     * @property bool $is_active
     * @property Carbon|null $last_login_at
     * @property string|null $remember_token
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property User|null $admin
     * @method BelongsTo|_IH_User_QB admin()
     * @property User|null $distributor
     * @method BelongsTo|_IH_User_QB distributor()
     * @property _IH_Lead_C|Lead[] $distributorLeads
     * @property-read int $distributor_leads_count
     * @method HasMany|_IH_Lead_QB distributorLeads()
     * @property DatabaseNotificationCollection|DatabaseNotification[] $notifications
     * @property-read int $notifications_count
     * @method MorphToMany|_IH_DatabaseNotification_QB notifications()
     * @property DatabaseNotificationCollection|DatabaseNotification[] $readNotifications
     * @property-read int $read_notifications_count
     * @method MorphToMany|_IH_DatabaseNotification_QB readNotifications()
     * @property User|null $rm
     * @method BelongsTo|_IH_User_QB rm()
     * @property User|null $superAdmin
     * @method BelongsTo|_IH_User_QB superAdmin()
     * @property _IH_PersonalAccessToken_C|PersonalAccessToken[] $tokens
     * @property-read int $tokens_count
     * @method MorphToMany|_IH_PersonalAccessToken_QB tokens()
     * @property DatabaseNotificationCollection|DatabaseNotification[] $unreadNotifications
     * @property-read int $unread_notifications_count
     * @method MorphToMany|_IH_DatabaseNotification_QB unreadNotifications()
     * @property Lead $userClient
     * @method HasOne|_IH_Lead_QB userClient()
     * @property Distributor $userDistributor
     * @method HasOne|_IH_Distributor_QB userDistributor()
     * @method static _IH_User_QB onWriteConnection()
     * @method _IH_User_QB newQuery()
     * @method static _IH_User_QB on(null|string $connection = null)
     * @method static _IH_User_QB query()
     * @method static _IH_User_QB with(array|string $relations)
     * @method _IH_User_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_User_C|User[] all()
     * @ownLinks super_admin_id,\App\Models\User,id|admin_id,\App\Models\User,id|rm_id,\App\Models\User,id|distributor_id,\App\Models\User,id
     * @foreignLinks id,\App\Models\User,super_admin_id|id,\App\Models\User,admin_id|id,\App\Models\User,rm_id|id,\App\Models\User,distributor_id|id,\App\Models\Lead,user_id|id,\App\Models\Lead,created_by_id|id,\App\Models\Lead,assigned_to_id|id,\App\Models\Lead,rm_id|id,\App\Models\Lead,distributor_id|id,\App\Models\Distributor,user_id|id,\App\Models\Distributor,approved_by_id|id,\App\Models\DailyUpdate,client_id
     * @mixin _IH_User_QB
     * @method static UserFactory factory(callable|int|mixed[]|null $count = null, callable|mixed[] $state = [])
     */
    class User extends Model {}
}